---
title: Long overdue updates
author: nek0
tags:
- english
- programming
- projects
description: "What I've been up to since my last blog post in august"
---

Hi folks,

Merry Holidays! I sincerely hope you have some relaxed days at the end of this year and get to spend
also some time with people close to you.

I've been quite busy in the past months getting up to speed with my job, my personal projects and
everyday life.

As you might have seen, I have been constantly updating [my comic][comic] since may and have
already begun working on the second chapter, from which I sometimes post glimpses on
[my Mastodon account][masto]. I am making good progress, but the update speed will remain the same
for the foreseeable future, as the time I can work on the comic is limited and I don't want to run
through my backbuffer of pages too fast. Making this comic is definitely one of the most
challenging projects I have ever begun, but I'm having loads of fun doing it and I'm constantly
learning new stuff and improve my technique. It's also very interesting and satisfying to see the
evolution and refinement of my art style in the course of this project.

Drawing in general has become a very dear hobby of mine in the past three years where I
particularly like, how it engages a more creative and emotional side of me. I kind of wish I hadn't
been ashamed of being creative in the first place.

Because of my comic and partially also my work my pursuits in gamedev have slowed down
significantly. My games have not had any significant updates for quite some time now, as I am in the
process of learning to use the [vulkan graphics API][vulkan] with the goal of rewriting the
graphics pipelines of my games to use this new standard instead of OpenGL, which is on its way to
deprecation. So far my progress has been good while working through the
[vkguide vulkan tutorial][vkguide] to build a simple renderer. Like most gamedev tutorials handling
raw graphics code it is written in C++, so I'm making the effort of translating it into Haskell.
You can see my progress as I complete the chapters [in my code repository][repo]. Here's also a
small visual representation of my current state:

<video controls="true">
  <source src="/vids/2022-12-11.webm" type="video/webm" />
</video>

So this is what I have been up to in the past months. Lots of different stuff.

Keep calm and wash hands.

[comic]: https://comics.nek0.eu/remnants
[masto]: https://chaos.social/@nek0
[vulkan]: https://www.vulkan.org/
[vkguide]: https://www.vkguide.dev/
[repo]: https://gitea.nek0.eu/nek0/vulkan-tutorial
